Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ldapadapter.appconn
Class STCEventQueueImpl

    java.lang.Object
      com.stc.connector.ldapadapter.appconn.STCEventQueueImpl

All Implemented Interfaces:
  STCEventQueue

    public class STCEventQueueImpl

extends java.lang.Object
implements STCEventQueue

Class that stores the events as notified by the LDAPListener class.

Version:
  $Revision: 1.3 $
Author:
  $Author: cmbuild $

Constructor Summary
`STCEventQueueImpl()`

Method Summary
`int` | `countSTCNotificationEvent()` Returns the number of events in the queue
`STCNotificationEvent` | `getSTCNotificationEvent(int i)` Returns the event at the specified index from the queue of events
`boolean` | `hasEvents()` Checks if there are any events in the event queue
`STCNotificationEvent` | `removeEvent(int i)` Removes an event from the event queue as specified by the index
`void` | `reset()` Method to reset the values
`void` | `setSTCNotificationEvent(STCNotificationEvent event)` Adds an event to the event queue

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### STCEventQueueImpl

    public STCEventQueueImpl()

Method Detail

### reset

    public void reset()

  Description copied from interface: `STCEventQueue`
  Method to reset the values

  Specified by:
    `reset` in interface `STCEventQueue`

### hasEvents

    public boolean hasEvents()

  Checks if there are any events in the event queue

  Specified by:
    `hasEvents` in interface `STCEventQueue`
  Returns:
    true if there are events in the queue

### setSTCNotificationEvent

    public void setSTCNotificationEvent(STCNotificationEvent event)

  Adds an event to the event queue

  Specified by:
    `setSTCNotificationEvent` in interface `STCEventQueue`
  Parameters:
    `event` - the notification event as a STCNotificationEvent object

### countSTCNotificationEvent

    public int countSTCNotificationEvent()

  Returns the number of events in the queue

  Specified by:
    `countSTCNotificationEvent` in interface `STCEventQueue`
  Returns:
    the count of events in the queue

### getSTCNotificationEvent

    public STCNotificationEvent getSTCNotificationEvent(int i)
                                                 throws java.lang.IndexOutOfBoundsException

  Returns the event at the specified index from the queue of events

  Specified by:
    `getSTCNotificationEvent` in interface `STCEventQueue`
  Parameters:
    `i` - the index of the event to be returned
  Returns:
    the event as a STCNotificationEvent object
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index specified is not in range

### removeEvent

    public STCNotificationEvent removeEvent(int i)
                                     throws java.lang.IndexOutOfBoundsException

  Removes an event from the event queue as specified by the index

  Specified by:
    `removeEvent` in interface `STCEventQueue`
  Parameters:
    `i` - the index of the event to be removed from the queue
  Returns:
    the removed event as a STCNotificationEvent object
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index specified is not in range

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD